<!DOCTYPE html>
<html>
<head>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
 <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>


<style type="text/css">
  html {
  font-family: "Lucida Sans", sans-serif;
}
  div {
    margin-left: 5%;
    width: 85%;
    font-size: 21px;
  }
  h5 {
    color: darkblue;
    text-shadow: gray;
    font-size: 23px;
    margin-top: 18px;
    margin-bottom: 10px;
  }
  header {
    text-align: center;
    font-size: 35px;
    background-color: purple;
    color: white;
  }
  body {
    background-color: lightgray;
  }

  button {
    float: right;
    margin-right: 15%;
    background-color: darkgreen;
    color: white;
    height: 30px;
    width: 70px;
  }
  hr {
    background-color: tomato;
    height: 3px;
    width: 80%;
    margin-left: 10%;
  }

</style>
</head>
<body>
<section>
  <header><b>DCMA USERS GUIDE </b></header>
  

 
<div>
<h5 style="color: darkgreen; font-size: 27px;">General</h5> 
 

<p>DCMA is a secured Web Application built to provide real time information on some areas of Church administration. 

This application is tailored along Deeperlife Church organization structure to ease flow of information from groups to the headquaters. 

The application is indigenous in concept, design and development. Strenuous effort has been made to ensure security, confidentially, reliability and availability of information on need to know basis. Consequently views are restricted to individual level within the church structure.</p>
</div>

<div >
<h5 style="color: darkgreen; font-size: 27px;">Access</h5> 

Access to the application is via Internet through a web browser. 

The application opens with a login portal; a user must have been set up by the Region Admin, the Region Overseer may do this as may be necessitated. Admin guide is available in the administrator page. 


the following are to be noted: 

<h5><u>First Login</u></h5>

<p> Every new user must without choice change their password at the first login attempt. Password must between eight (8) and sixteen (16) characters long. Password must contain at least one (1) digit and one (1) alphabet. Password cannot be same or similar to the last valid password. 
</p>

Two (2) Selectable Secret questions are to be answered: it is important to provide answers that you can readily remember, you will need them to reset your password in an event of forgetting your password. 

<h5><u>Multiple Wrong Credentials </u></h5>

A valid application user will be locked out of his or her account after six (6) unsuccessful login attempts. In an event of this happening, a user can take either of these two actions: 

Contact Region Admin to reset password. 

If the user remembers his or her password, take the following steps 

Click on RESET button on the login page. 

Enter your user name. 

Enter correct password. 

Answer your secret questions. 

If successful, you will be redirected to the login page where you will be required to change your password before you can access the application.  

Three unsuccessful reset will lock your account to level 2, at that point only the Region Admin can unlock that account. 

<h5><u>Blocked User </u></h5>

If you receive notification that your account is blocked while trying to login, you must contact your Region Admin for resolution. 

<h5><u>Invalid User </u></h5>

If you receive notification of invalid user after six (6) unsuccessful login attempts. It is either you have been deleted if you were a previous user or you were never successfully set up: contact your Region Admin. 

<h5><u>Successful Login </u></h5>

Upon successful login you will be directed to a landing page that is relevant to the role you are authorized to play. 

Every user may change his or password on their landing page. 

<h5><u>Multiple Login </u></h5>

A user cannot have two (2) concurrent login sessions. You must logout of the previous device or browser to be able to login on another device.  

To recover from this situation please follow account reset process. 

<h5><u>Logout </u></h5>

It is important to always log out of the application when you are done for security reasons and to prevent you from being unable to login on a different device or browser. 

<h5><u>Users Guide</u></h5> 

Relevant user guides  are available on activity pages, kindly take time to read through them for smooth and profitable usage of the application. 
</div>

</section>
<br>
<hr>

 <button type="submit" id="edsub" name = "edsub" class="btn btn-primary" onclick="cont()">Continue</button>
 <br>
 
 <script type="text/javascript">
   
   function cont(){
    location.href='newlog.php';
   }
 </script>
</body>

</html>