<?php
  session_start();

?>

<!DOCTYPE html>
<html>
<head>
  <?php
    require  "../../hed/sandls.php";
  ?>
  <meta charset="utf-8">
  <title></title>
  <script type="text/javascript" src="../../hed/logout.js"></script>
  <script type="text/javascript" src="../../hed/valid.js"></script>
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
  <script type="text/javascript"src="radmin.js"></script>

  <style type="text/css">
    #sub {
      float: right;
      margin-right: 25%;
      width: 17%;
      height: 40px;
      font-style: bold;
    }

    h2, h3{
        text-align: center;
        font-size: 14px;
    }

    label{
      width: 80px;
      margin-right: 3%;
    }

    body{
      background-color: rgba(10, 50, 70, 0.5);
      color: white;
    }

    .ind{
      float: left;
      margin-right: 3%;
      margin-bottom: 1%;
      margin-top: 0%;
      width: 30%;
      font-size: 12px;
    }

    .lics{
      width: 10;
      float: left; 
      margin-right:3%;
    }

    @media only screen and (min-width: 600px) {
       #sub {
        width: 12%;
       }

       h2, h3{
         text-align: center;
         font-size: 22px;
       }

       form {
        width: 80%;
        margin-left: 10%;
       }
      .ind{
        float: left;
        margin-right: 3%;
        margin-bottom: 1%;
        margin-top: 0%;
        width: 20%;
        font-size: 14px;
      }
    }
  </style>
</head>
<body>
  <?php
     $fuser = $_SESSION["fuser"];
      require_once "../../../sess/mods/connect.php";
      require_once "../../../sess/mods/mod1.php";
      require_once "../../../sess/mods/loadel.php";
      require "admdata.php";
      $admdat = new adata;



     $musers = $admdat->getmuserlst();
    
    $i = 0;
    foreach ($musers as $user) {$i++;
      // 
      $country = strtoupper($user['country']);
      $state = strtoupper($user['state']);
      $region = strtoupper($user['region']);
      $ogroup = strtoupper($user['ogroup']);
      $ugroup = strtoupper($user['ugroup']);
      $district = strtoupper($user['district']);
      $title = strtoupper(trim($user['title']));
      $fname = strtoupper(trim($user['fname']));
      $lname = strtoupper(trim($user['lname']));
      $oname = strtoupper(trim($user['oname']));
      $mobile = $user['mobile'];
      $email = $user['email'];
      $role = strtoupper(trim($user['role']));
        // Check license status 
    /*$lics = new Listings;
    $data = $lics->globalic($country, $state,$region);
    $lic =$data[0]; //total lic purchased
    $ulic =$data[1]; // used lic
    $rlic =$data[2]; // remaining lice

    if ($rlic == 0){//no remaining lic
      echo "This Region is out license ";
      exit();
    }else{
      loadusers();
    }*/

    //function loadusers(){

      // creat usaname
      $username = strtolower($fname . "." . $lname);

      //confirlm confirm availability of usaname;
      $usa = new Listings;
      $usaname = $usa->getLogin($username);
      //echo $username . "<br>";
      if (is_null($usaname)){
       echo "Good to go". "<br>";
      }else{//reverse username
        $username = strtolower($lname . "." . $fname);
        //confirm new username is not in use
        $usaname = $usa->getLogin($username);
        if (is_null($usaname)){// username does not exist
          //echo "User does not exist"."<br>";
        }else{
          $username = $username . "1";
          //echo  "I am the last option ". $username. "<br>";
        }
        
      }

      $leni = strlen($i);
      if ($leni < 2){$i = "0".$i;}

      //create default pasword
      $time = date("h:i:sa");
      $uid0 = strtoupper(substr($lname, 0,1));
      $uid1 = strtolower( substr($fname, 0,1));
      $uid2 = strtolower(substr($lname, 1,1));
      $uid3 = substr($time, 1,1);
      $uid4 = substr($time, 7,1);
      $uid5 = substr($time, 6,1);
      $mth = date('m');
      $cyer = date("Y");
      $uid6 = substr($cyer, 0,1);
      $pas = $uid0 . $uid1 . $uid2 . $uid3.$i. $uid5.$uid6.$i;
      
      //code 
      $cname = $admdat->codeme($username);
      $cpas = $admdat->codepas($pas);
      
      //get codes base on role

      if($role == "LOCATION PASTOR" ){
          $auth =  "0000100000";
      }else if($role == "DISTRICT PASTOR" ||  $role == "ASSOCIATE COORD" ){
          $auth =  "0000110000";
      }else if($role == "GROUP PASTOR" ){
          $auth =   "4010120000";
      }else if($role == "OLD DISTRICT PASTOR" || $role == "CAMPUS COORDINATOR" ){
          $auth =   "4010130000";
      }else if($role == "LGA PASTOR" ){
          $auth =   "4010140000";
      }else if($role == "REGION OVERSEER" ){
         $auth =  "1000152200";    
      }else if($role == "STATE OVERSEER" ){
          $auth =  "1000163300"; 
      }else if($role == "NATIONAL OVERSEER" ){
          $auth =  "1000173300";  
      }else if($role == "GS" ){
          $auth =  "1000183300";  
      }else if($role == "NONE" ){
          $auth =  "";  
      }else if($role == "REGION ADMIN" ){
         $auth =   "10001A2200";  
      }else if($role == "STATE ADMIN" ){
          $auth = "10001B2200";
      }else if($role == "NATIONAL ADMIN" ){
         $auth = "10001C2200";    
      }else if($role == "GLOBAL ADMIN" ){
         $auth =  "10001D2200";   
      }else if($role == "NATIONAL YOUTH COORD" ){
         $auth =  "10001E2200";  
      }else if($role == "STATE YOUTH COORD" ){
         $auth = "10001F2200";    
      }else if($role == "REGION YOUTH COORD" ){
         $auth = "10001G2200";    
      }else if($role == "NATIONAL CHILDREN COORD" ){
         $auth =  "10001H2200";  
      }else if($role == "STATE CHILDREN COORD" ){
         $auth = "10001I2200";    
      }else if($role == "REGION CHILDREN COORD" ){
         $auth = "10001J2200";    
      }else if($role == "NATIONAL CAMPUS COORD" ){
         $auth = "00001K0000";    
      }else if($role == "NATIONAL WOMEN LEADER" ){
         $auth = "10001T2200";    
      }else if($role == "STATE WOMEN LEADER" ){
         $auth = "10001U2200";    
      }else if($role == "REGION WOMEN LEADER" ){
         $auth = "00001V0000";    
      }else if($role == "GS ASSISTANT" ){
         $auth = "40101L0000";    
      }else if($role == "NATIONAL OVERSEER ASSISTANT" ){
          $auth =  "100010M300"; 
      }else if($role == "STATE OVERSEER ASSISTANT" ){
          $auth =  "10001N3300"; 
      }else if($role == "REGION OVERSEER ASSISTANT" ){
          $auth =  "10001O3300"; 
      }else if($role == "REGION HEAD USHER" ){
         $auth = "40101P0000";    
      }else if($role == "REGISTRATION OFFICER" ){
          $auth =  "10001QM300"; 
      }else if($role == " E-FOLLOWUP" ){
          $auth =  "10001R3300"; 
      }else if($role == "VIP" ){
          $auth =  "10001S3300"; 
      }

      $fscope = $mcm = $cmc = "";
      $fscope = $role;
      
      $fname = strtoupper($fname);
      $lname = strtoupper($lname);
      $oname = strtoupper($oname);
      //Save data into users
      $custatus = $admdat->createUser($title, $username, $fname, $lname,$oname, $mobile, $email, $country, $state, $region, $ogroup, $ugroup, $district, $fscope, $mcm, $cmc);
     

      //$custatus = "Success";
      if ($custatus == "Success"){ //save profile
        $uprofile = $admdat->createProfile($cname, $cpas, $auth);
        //save users password
        $uplogin = $admdat->muserlst($country, $state, $region, $ogroup, $ugroup, $district,$username, $pas);

         //echo $pas . "<br>";
      echo $i. " " . $uplogin;
      //die();
            //Update licence
        /*$rlic = $rlic  - 1;
        $ulic = $ulic  + 1;
        $uplics = $admdat->updatelic($ulic, $rlic, $ucountry, $ustate, $uregion);
        $msg = $uplics;
      }else{
      $custatus = "You are out of licence";*/
     }
    }
      

  ?>


  </body>
</html>