<?php
session_start()
?>
<!DOCTYPE html>
<html>
<head>
  <?php
  require  "../../hed/sandls.php";
?>
  <script type="text/javascript" src="../../hed/logout.js"></script>
  <script type="text/javascript" src="../../hed/valid.js"></script>
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>

  <script type="text/javascript">
    $(document).ready(function(){
      var region = sessionStorage.region + " Region";
       $("#region").html(region);
      hidedivs();
      
      });

    function hidedivs(){
      $("#usadiv").hide();
      $("#cpdiv").hide();
      $("#rmdiv").hide();
      $("#bkdiv").hide();
      $("#ubdiv").hide();
      $("#eddiv").hide();
      $("#rldiv").hide();
      $("#edtbl").hide();

    }

    function showDivs(sh){
      hidedivs();
      $("#usadiv").show();
      if (sh =="rs") {$("#utype").html("Select a user for password reset"); $("#cpdiv").show();}
      if (sh =="rm") {$("#utype").html("Select a user to remove"); $("#rmdiv").show();}
      if (sh =="bk") {$("#utype").html("Select a user to block"); $("#bkdiv").show();}
      if (sh =="ub") {$("#utype").html("Select a user to unblock"); $("#ubdiv").show();}
      if (sh =="ed") {$("#utype").html("Select a user to edit"); $("#eddiv").show(); $("#edtbl").show();}
      if (sh =="rl") {$("#utype").html("Select a user to relocate"); $("#rldiv").show();}

    }

    function user(us){
      var user = us;
      $("#user").val(user);
      $("#rmuser").val(user);
      $("#blkuser").val(user);
      $("#ublkuser").val(user);
      $("#eduser").val(user);
      
    }


  </script>
</head>
<body>



<nav class="navbar navbar-expand-sm bg-dark navbar-dark">
  <!-- Brand/logo -->
  <a class="navbar-brand" href="#" id="region">DLBC</a>
  
  <!-- Links -->
  <ul class="navbar-nav">
    <li class="nav-item">
      <a class="nav-link" href="#" onclick="showDivs('rs')">Reset Password</a>
    </li>
    <li class="nav-item">
      <a class="nav-link" href="#" onclick="showDivs('rm')">Remove User</a>
    </li>
    <li class="nav-item">
      <a id="blkusa" class="nav-link" href="#" onclick="showDivs('bk')">Block User</a>
    </li>
    <li class="nav-item">
      <a id="ublkusa" class="nav-link" href="#" onclick="showDivs('ub')">Unblock User</a>
    </li>
    <li class="nav-item">
      <a id = "editusa"class="nav-link" href="#"  onclick="showDivs('ed')">Edit User</a>
    </li>
  </ul>
    <li  class="nav-item">
      <a id="relusa" class="nav-link" href="#"  onclick="showDivs('rl')">Relocate user</a>
    </li>
  </ul>
</nav>
<body> 
<div class="container-fluid">
     <div style="width: 20%; float: left;margin-left: 2%; ">
        <?php

          require_once "../../../sess/mods/connect.php";
          require_once "../../../sess/mods/mod1.php";
  
          $region = $_SESSION['aregion'];
          $listings = new Listings;
          //$users = $listings->getUsaname($region);
          $users = $listings->getUsers($region);
        ?>
      <div id="usadiv">
        <input type="text" name="usa" onblur ="user(this.value)">
        <h6 id="utype">Select a User</h6>
        <!--<h4 id="heda">Users List</h4>-->
        <select  class="ind" id ="usass"  name="usa"  onchange="user(this.value)">
        <option value="">Select User:</option>
          <?php foreach ($users as $items) { ?>
            <option value="<?php echo $items['usaname'] ?>"><?php echo $items['usaname'] ?></option>
           <?php } ?>
      </select>
    </div>
  </div>

  <div id="cpdiv" style="width: 70%;float: right;">
    <form id="frmReset" method="POST" action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"]);?>">
     <label for="npwd"> Enter New Password</label>
      <input type="text" id="npwd" name="npwd" required="">
      <label for="cpwd">User must change password</label>
      <select id = "cpw" name="cpw">
        <option>Yes</option>
         <option>No</option>
      </select>
      
         <input type="hidden" id="user" name="user" required="">
      <button type="submit" id="sub" name = "resetpw" class="btn btn-primary">Reset</button>
    </form>
  </div>

  <!-- Remove a user-->
    <div id="rmdiv">
       <form id="frmRemove" method="POST" action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"]);?>">
        <input type="hidden" id="rmuser" name="rmuser" required="">
          <button style="background-color: red;" type="submit" id="remsub" name = "remsub" class="btn btn-primary">Remove</button>
        </form>
    </div>

    <div id="bkdiv">
       <form id="frmBlock" method="POST" action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"]);?>">
        <input type="hidden" id="blkuser" name="blkuser" required="">
          <button type="submit" id="blksub" name = "blksub" class="btn btn-primary">Block</button>
        </form>
    </div>

    <div id="ubdiv">
       <form id="frmUBlock" method="POST" action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"]);?>">
        <input type="hidden" id="ublkuser" name="ublkuser" required="">
          <button type="submit" id="ublksub" name = "ublksub" class="btn btn-primary">UnBlock</button>
        </form>
    </div>

    <div id="eddiv">
       <form id="frmEdit" method="POST" action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"]);?>">

        <h6 id="utype">Select a User</h6>
        <!--<h4 id="heda">Users List</h4>-->
        <select  class="ind" id ="usar"  name="usar"  onchange="user(this.value)">
        <option value="">Select User:</option>
          <?php foreach ($users as $items) { ?>
            <option value="<?php echo $items['usaname'] ?>"><?php echo $items['usaname'] ?></option>
           <?php } ?>
      </select>

        <input type="hidden" id="eduser" name="eduser" required="">
        <select style="float:left; margin-right: 2%;">
          <option>Old Group Pastor</option>
          <option>Group Pastor</option>
          <option>DDistrict Pastor</option>
          <option>A Worker</option>
        </select>
        <select style="float:left; margin-right: 2%;">
          <option></option>
          <option>Participants Registrar</option>
          <option>Registration Leader</option>
          <option>Efollow-Up</option>
          <option>Efollow-Up Leader</option>
          
        </select>

        <select style="float:left; margin-right: 2%;">
          <option>--Select Asset Right</option>
          <option>Asset Registrar</option>
        </select><option>Region Women Leader</option>

        <select style="float:left; margin-right: 2%;">
          <option>--Other Right--</option>
          <option>State Head Usher</option>
          <option>Region Head Usher</option>
         
        </select>
          <button type="submit" id="edsub" name = "edsub" class="btn btn-primary">Save Changes</button>
        </form>
    </div>

   <div id="rldiv">
       <form id="frmEdit" method="POST" action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"]);?>">
        <input type="hidden" id="rluser" name="rluser" required="">
          <button type="submit" id="rlsub" name = "rlsub" class="btn btn-primary">Relocate</button>
        </form>

    </div>

    
 
</div> <!--container div ends-->

<?php

if (isset($_POST['resetpw'])){
  require "admdata.php";
  $reset = new adata;
  $user = $_POST["user"];
   if ($user == ""){
      die ("Password Reset request denied, because no user was selected");
    }

    $npwd = $_POST["npwd"];
    $cpw= $_POST["cpw"];
    //die($npwd);
    $codedusa = $reset->codeme($user);
    $codednpwd = $reset->codepas($npwd);
    //echo $codednpwd;
    $auth = $reset->getAuth($codedusa, $cpw);
     $status = $reset->updatePwd($auth,$codedusa, $codednpwd);
     echo $status;
    }


    //Remove User code
if (isset($_POST['remsub'])){
    require "admdata.php";

  $reset = new adata;
  
  $user = $_POST["rmuser"];
  if ($user == ""){
    die ("No user selected to remove");
  }
  $codedusa = $reset->codeme($user);
  //remove user from Users table
  $status = $reset->remUser($user, $codedusa);
  echo $status;
}

if (isset($_POST['blksub'])){
    require "admdata.php";

  $reset = new adata;
  
  $user = $_POST["blkuser"];
  if ($user == ""){
    die ("No user selected to block");
  }
  $codedusa = $reset->codeme($user);
  $cpw = "blk";
  $auth = $reset->getAuth($codedusa, $cpw);
  $status = $reset->blkUser($auth, $codedusa);
  echo $status;
}

//unblock user
if (isset($_POST['ublksub'])){
    require "admdata.php";

  $reset = new adata;
  
  $user = $_POST["ublkuser"];
  if ($user == ""){
    die ("No user selected to unblock");
  }
  $codedusa = $reset->codeme($user);
  $cpw = "No";
  $auth = $reset->getAuth($codedusa, $cpw);
  $status = $reset->blkUser($auth, $codedusa);
  echo $status;
}


//unblock user
if (isset($_POST['edsub'])){
    require "admdata.php";

  $reset = new adata;
  
  $user = $_POST["eduser"];
  if ($user == ""){
    die ("No user selected to unblock");
  }
  $codedusa = $reset->codeme($user);
  $cpw = "No";
  $auth = $reset->getAuth($codedusa, $cpw);
  $status = $reset->blkUser($auth, $codedusa);
  echo $status;
}
?>


<script type="text/javascript">
  var ststus = "<?php echo $status; ?>";
</script>
</body>
</html>
