<?php
  session_start();
?>
<!DOCTYPE html>
<html>
<head>
  <title> DLCM </title>
 <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">

  <link rel="stylesheet" href="https://www.w3schools.com/w3css/4/w3.css">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Raleway">
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">

   <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
   <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>
   <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

   <script type="text/javascript">
    $(document).ready(function(){
       $("#uname").focus();
       $("#newuser").hide();
       $("#olduser").hide();
        if (sessionStorage.dispmode == "newlog"){
          $("#newuser").show();
          sessionStorage.dispmode ="";
        }else{
          $("#olduser").show();
        }

      });

    function sq1func(sq){
      if (sq == "Type your own question 1"){
        $("#mq1").show();
      }else {
        $("#mq1").val("");
        $("#mq1").hide();
      }
      if (sq == "Type your own question 2"){
        $("#mq2").show();
      }else {
        $("#mq2").val("");
        $("#mq2").hide();
      }
    }
   
  </script>

  <style>
  h3 {
    font-family: century;
    text-shadow: gray;
    color: tomato;
    margin-bottom: 10px;
    font-size: 18px;
    text-align: center;
    font-weight: bolder;
  }

  .imgs {
    
    height: 35px;
    width: 15%;
    float:left;
  }
  #cont {
      width:98%;
      margin: auto;
      height: 600px;
      border: none;
  }
  
  #chpwd{
    background-color:goldenrod;
    width: 100%;
    margin: auto;
    height: 550px;
    padding-left: 20px;
  }
  div {
    width: 70%;
    margin: auto;
  }
  span{
    width: 100%;
    font-size: 10px; 
    text-align:center; 
    font-weight:bold;
    color: yellow;
  }

  label{
    display: block;
    width: 100%;
  }

  input{
    width: 35%;
    padding: 5px;
    margin: 8px 0;
    display: block;
    border: 1px solid #ccc;
    box-sizing: border-box;

  }

  button:hover {
    opacity: 0.8;
    cursor: pointer;
  }
  select {
    width: 100%;
  }
  select:hover {
    background-color: lightblue;
  }

  #mq1, #mq2{
    display: none;
  }

  #sub{
    float: right;
    margin-right: 3;
  }

  @media only screen and (min-width: 600px) {
  .imgs {
    height: 60px;
    width: 12%;
    float:left;
  }

    h3 {
    margin-bottom: 10px;
    font-size: 24px;
  }

  #cont {
      width:60%;
      height: 400px;
  }
  span{
    font-size: 14px; 
  }
  input, select {
    width: 35%;
    margin-left: 5%;
  }

  select {
    width: 70%;
    margin-left: 10%;
    height: 40px;
    font-size: 14px;
  }
  img {
      height: 70px;
      width: 8%;
  }

  label{
    font-weight: bold;
    font-size: 16px;
  }

   #sub{
    float: right; 
    margin-right: 1%;
   }
   
  </style>

  <script type="text/javascript">

    $(document).ready(function(){
       $("#opwd").focus();
    });

    function validateForm() {
      
      var owd = $("#opwd").val();
      var nwd = $("#npwd").val();
      var cwd = $("#cpwd").val();
      var strnwd = nwd.length;
      var strcwd = cwd.length;
      var sq1 = $("#sq1").val();
 
      if (sq1 == "none"){
        alert("Select a secret question 1");
        return false;
      }

      var sq2 = $("#sq2").val();
 
      if (sq2 == "none"){
        alert("Select a secret question 2");
        return false;
      }

      if (sq1 == sq2){
        alert("Secret questions 1 and 2, must not be the same");
        return false;
      }

       // verify new password lenght
       if (strnwd < 8 || strnwd > 16){
        alert ("Passwords must be between 8 and 16 characters"); 
       return false;
       }

       // verify old and new password
       if(owd == nwd){ 
       alert ('Öld and new passwords cannot be the same');
       return false;
       }

       // verify new and confirmation passwords
       if (nwd !== cwd){
        alert ('New and confirmation passwords do not match');
       return false;
       }

       //Verify there is at least a digit in pw
      var numeric_alpha = /^(?=.*[a-zA-Z])(?=.*[0-9])/;
      if (nwd.match(numeric_alpha)) {
        return true;
      }
      else {
        alert('Passwords must contain a least a number and a letter!');
        return false;
      }
   
    }

  </script>


</head>

<body>

  <img class="imgs" src="../../img/clogo.png" alt="DLBC" ><br>

  <h3>Password must be changed</h3>
  <!--<div style="height: 50px; background-color:red;"></div>-->
 <div id="cont" >
  <form id="chpwd" onsubmit="return validateForm()" method="POST" action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"]);?>">

      <div class="form-group">
        <label for="opwd">Current Password:</label>
        <input type="password" class="form-control" id="opwd" name="opwd" required>
      </div>
      <span >Password must contain a number and be between 8 and 16 characters</span>
      <div class="form-group">
        <label for="cpwd">New Password:</label>
        <input type="password" class="form-control" id="npwd" name="npwd" required onblur="oldnewnotsame()">
      </div>

      <div class="form-group">
        <label for="vpwd"> Confirm Password:</label>
        <input type="password" class="form-control" id="cpwd" name="cpwd" required onclick="oldnewnotsame()">
      </div>

      <div lass="form-group" >
         <select id="sq1" name="sq1" class="form-group" onchange ="sq1func(this.value)" required="">
            <option value="none">Select secret question 1</option>
            <option>Favorite bible passage</option>
            <option>My wifes maiden Name</option>
            <option>My favorite Bible Character</option>
            <option>The make of my first car</option>
            <option>My first Convert name</option>
            <option>My first pastor name</option>
            <option>My best christian friend</option>
            <option>Type your own question 1</option>
        </select>
     </div>

      <div class="form-group">
        <input type="text" id="mq1" name="mq1" class="form-control" placeholder="Type your own question 1 here" >
      </div>

     <div class="form-group">
        <input id="sq1a" name="sq1a" type="text" class="form-control"  name="" placeholder="Enter answer to question 1" required="">
      </div>
      
      <div lass="form-group">
      <select id="sq2" name="sq2" class="form-group" onchange ="sq1func(this.value)" required="">
        <option value="none">Select secret question 2</option>
        <option>Favorite bible passage</option>
        <option>My wifes maiden Name</option>
        <option>My favorite Bible Character</option>
        <option>The make of my first car</option>
        <option>My first Convert</option>
        <option>My first pastor</option>
        <option>My best christian friend</option>
        <option>Type your own question 2</option>
      </select>
    </div>

    <div lass="form-group">
      <input type="text" id="mq2" name="mq2" class="form-control"  placeholder="Type your own question 2 here">
    </div>

    <div class="form-group">
        <input id="sq2a" name="sq2a" type="text" class="form-control"  name="" placeholder="Enter answer to question 2" required="">
      </div>

     <div lass="form-group">
      <button type="submit" id="sub" name = "submit" class="btn btn-primary">Change</button>
    </div>
    <script type="text/javascript">
        function hidemq1(){
          //alert("ebababba");
          //$("#sq1").hide();
          
        }
    </script>
 
  </form>
</div>
<?php
  require '../../sess/mods/connect.php';
  require "../../logd/logdata.php";
    $login = new ldata;
    $oru = $_SESSION["oru"]; 
    //Revert login status to new user
    $nauth = $login->getAuth($oru, "Yes");
    $rauth = $login->updAuth($nauth, $oru); //update auth
    //die($nauth);
?>

<?php

if (isset($_POST['submit'])){
   $npwd = $_POST["npwd"];
   $opwd = $_POST["opwd"];
   $opas = $_SESSION["oldpwd"] ;
   $ques1 = $_POST["sq1"];
   $ans1 = $_POST["sq1a"];
   $ques2 = $_POST["sq2"];
   $ans2= $_POST["sq2a"];
   //$ques1 = 'My best friend';
     //die($ques1);
    $pas = $login->codepas($opwd);
    //confirm old password
     if ($pas !== $opas){//wrong old password
      $msg = "0";
    }else{ 
      $cans1 =$login->codeme($ans1); //coded ans
      $cans2 =$login->codeme($ans2);
      $npas = $login->codepas($npwd);
      $updpw = "";
      $updsq = $login-> newlogpwd($oru, $ques1, $cans1,$ques2, $cans2); 
      //die($updsq);
      if ($updsq == "Success"){
      $updpw = $login-> updatePwd($nauth, $oru, $npas); 
          echo($updpw);
        }else{
          echo($updsq);
        }

      if ($updpw == "Success"){
        /*$nauth = $login->getAuth($oru, "No");
        $rauth = $login->updAuth($nauth, $oru);*/
        $msg = "2";
      } else{
        $msg = "1";
      }
    }
  
}//submit if ends here
     
?>
<script type="text/javascript">

  var msg = "<?php echo $msg ?>";

  if (msg == "0"){
    alert("Wrong old password " + msg);

  }
  if (msg == "2"){
    alert("Your password was successfully changed, login with the new password");
    location.href='login.php';
  }else{
    alert("Record was not updated; your password is not changed");
  }

</script>
 
</body>
</html>
