<?php
require '../engine.php';

function getLastBalance($conn)
{
    $query = 'SELECT * FROM account ORDER BY id DESC LIMIT 1';
    $result = mysqli_query($conn, $query);
    //
    if (mysqli_num_rows($result) > 0) {
        //
        $balance = "";

        while ($rows = mysqli_fetch_assoc($result)) {
            //
            $balance = $rows['balance'];
        }
        //
        return $balance;
    } else {
        return 0;
    }
}

///////////////////////////////////////////////////////////////////////////////////
if (isset($_POST['incomeEntry']) && $_POST['incomeEntry'] == true) {
    //
    $amount = htmlspecialchars(trim($_POST['amount']));
    $source = htmlspecialchars(trim($_POST['source']));
    $incfor = htmlspecialchars(trim($_POST['incfor']));
    $mop = htmlspecialchars(trim($_POST['mop']));
    $by = htmlspecialchars(trim($_POST['by']));

    $date = htmlspecialchars(trim($_POST['date']));
    $transid = rand(0, 100000);
    $newBalance = getLastBalance($conn) + $amount;

    //
    $query = "INSERT INTO account (transid, _date, activity, depceiver, purpose, _source, mop, credit, debit, balance) VALUES ('$transid', '$date', 'income', '$by', '$incfor', '$source', '$mop', '$amount', '0', '$newBalance')";

    //
    if ($result = mysqli_query($conn, $query)) {
        //
        echo 'success';
    } else {
        echo 'error';
    }
}

if (isset($_POST['expenseEntry']) && $_POST['expenseEntry'] == true) {
    //
    $amount = htmlspecialchars(trim($_POST['amount']));
    $exfor = htmlspecialchars(trim($_POST['exfor']));
    $newBalance = getLastBalance($conn) - $amount;
    $mop = htmlspecialchars(trim($_POST['mop']));
    $to = htmlspecialchars(trim($_POST['to']));
    $date = htmlspecialchars(trim($_POST['date']));
    $transid = rand(0, 100000);

    //
    $query = "INSERT INTO account (transid, _date, activity, depceiver, purpose, _source, mop, credit, debit, balance) VALUES ('$transid', '$date', 'expense', '$to', '$exfor', 'N/A', '$mop', '0', '$amount', '$newBalance')";

    //
    if ($result = mysqli_query($conn, $query)) {
        //
        echo 'success';
    } else {
        echo 'error';
    }
}
