<?php
session_start();
//

include('engine.php');
include('./module/transmitter.php');
//

$account = getAccount($conn);
$accounts = getAccountsin($conn);
// print_r($accounts);

//
if(isset($_POST['dstrict'])){
    //
    $_SESSION['dstrict'] = $_POST['dstrict'];
}

?>
<!DOCTYPE html>
<html>

<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title>Dis</title>

  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css">
  <!-- <link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/1.11.3/css/jquery.dataTables.css"> -->
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
  <!--===============================================================================================-->
  <!-- <link rel="stylesheet" type="text/css" href="css/util.css">
  <link rel="stylesheet" type="text/css" href="css/main.css"> -->
  <link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/1.11.3/css/jquery.dataTables.css">

  <script type="text/javascript" charset="utf8" src="https://cdn.datatables.net/1.11.3/js/jquery.dataTables.js"></script>
  <!--===============================================================================================-->
  <link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/v/ju/dt-1.11.3/datatables.min.css" />

  <script type="text/javascript" src="https://cdn.datatables.net/v/ju/dt-1.11.3/datatables.min.js"></script>

</head>

<body>
  <h2 class="text-center mb-4">District Account Book</h2>

  <div class="container">
    <div class="msg-success"></div>
    <nav class="navbar navbar-dark bg-info">
      <!-- Navbar content -->
      <ul class="nav justify-content-center">
        <li class="nav-item">
          <a class="nav-link active text-light" aria-current="page" href="./module/loghome.php">Home</a>
        </li>
        <li class="nav-item">
          <a class="nav-link text-light" data-toggle='modal' data-target='#income_en' href="javascript:void(0)">Income Entry</a>
        </li>
        <li class="nav-item">
          <a class="nav-link text-light" data-toggle='modal' data-target='#expense_en' href="#">Expenditure Entry</a>
        </li>
        <li class="nav-item">
          <a href="javascript:void(0)" onclick="viewAccount()" class="nav-link text-light">View Account Book</a>
        </li>
      </ul>
    </nav>

  </div>

  <div class="container mt-5" id="flashview">
    <div class="">
      <div class="">
        <div class="">
          <div class="">
            <div class="">
              <style>
                .thead-primary {
                  background-color: #078CBA;
                  color: #fff;
                  border-collapse: collapse;
                }

                table.table-bordered {
                  border: 1px solid white;
                  margin-top: 20px;
                }

                table.table-bordered>thead>tr>th {
                  border: 1px solid white;
                }

                table.table-bordered>tbody>tr>td {
                  border: 1px solid white;
                }
              </style>
              <div class="">
                <table id="incomeData_home" class="table table-responsive table-sm table-bordered" style="width:100%;">
                  <thead class="thead-primary">
                    <tr>
                      <th>Date</th>
                      <th>Type</th>
                      <th>Credit(₦)</th>
                      <th>Debit(₦)</th>
                      <th>Source</th>
                      <th>Purpose</th>
                      <th>MOP</th>
                      <th>Depositor/Receiver</th>
                      <th>Balance</th>
                    </tr>
                  </thead>
                  <tbody>
                    <?php if(isset($account)){ while ($items = mysqli_fetch_assoc($account)) { ?>

                      <tr style="<?= $items['credit'] > 0 ? 'background-color: rgba(49, 187, 95, 0.3);' : 'background-color: rgba(236, 139, 126, 0.3);'; ?>">
                        <td><?= $items['_date'] ?></td>
                        <td><?= $items['activity'] ?></td>
                        <td><?= $items['credit'] ?></td>
                        <td><?= $items['debit'] ?></td>
                        <td><?= $items['_source'] ?></td>
                        <td><?= $items['purpose'] ?></td>
                        <td><?= $items['mop'] ?></td>
                        <td><?= $items['depceiver'] ?></td>
                        <td>₦<?= $items['balance'] ?></td>
                      </tr>
                    <?php } } ?>



                  </tbody>
                </table>
              </div>
            </div>
          </div>
        </div>
      </div>

    </div>
  </div>

  <div class="container" style="display: none;" id="flashview_sec">
    <div class="row">
      <div class="col-md-12">
        <div class="">
          <h4>Account Book</h4>
          <p>Gives Updated data on all income data</p>
          <table class="table table-striped" id="incomeData">
            <thead class="thead-primary">
              <tr>
                <th>Date</th>
                <th>Type</th>
                <th>Credit(₦)</th>
                <th>Debit(₦)</th>
                <th>Source</th>
                <th>Purpose</th>
                <th>MOP</th>
                <th>Depositor/Receiver</th>
                <th>Balance</th>
              </tr>
            </thead>
            <tbody>
              <?php if(isset($accounts)){ while ($items = mysqli_fetch_assoc($accounts)) { ?>

                <tr style="<?= $items['credit'] > 0 ? 'background-color: rgba(49, 187, 95, 0.3);' : 'background-color: rgba(236, 139, 126, 0.3);'; ?>">
                  <td><?= $items['_date'] ?></td>
                  <td><?= $items['activity'] ?></td>
                  <td><?= $items['credit'] ?></td>
                  <td><?= $items['debit'] ?></td>
                  <td><?= $items['_source'] ?></td>
                  <td><?= $items['purpose'] ?></td>
                  <td><?= $items['mop'] ?></td>
                  <td><?= $items['depceiver'] ?></td>
                  <td>₦<?= $items['balance'] ?></td>
                </tr>
              <?php } } ?>



            </tbody>

          </table>
        </div>
      </div>
    </div>
  </div>


  <!------- modal section ------------------->

  <div class="modal" id="income_en" tabindex="-1" role="dialog">
    <div class="modal-dialog" role="document">
      <div class="modal-content">
        <div class="modal-header">
        <h6 style="text-align: center; color:darkgreen">INCOME ENTRY FORM</h6>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
        <div class="modal-body">
          <form id="income_collector">
            <input type="hidden" name="type" id="type1" value="income">
            <div class="form-group">
              <div class="col-md-12">
                  <div class='row'>
                      <div class='col-md-5'>
                          <label for="amount">Amount:-</label>
                      </div>
                      <div class='col-md-7'>
                          <input type="number" placeholder="" id="amount" name="amount" class="form-control">
                      </div>
                  </div>
                
                
              </div><br>
              
              <div class="col-md-12">
                  <div class='row'>
                      <div class='col-md-5'>
                          <label for="">Source:-</label>
                      </div>
                      <div class='col-md-7'>
                          <select id="source" name="source" class="form-control">
                  <option value="">---Select---</option>
                  <option value="Impress">Impress</option>
                  <option value="Individual Contribution">Individual Contribution</option>
                  <option value="Program Contributions">Program Contributions</option>
                  <option value="Tithe & Offering">Tithe & Offering</option>
                </select>
                      </div>
                  </div>
              </div><br>
              
              <div class="col-md-12">
                  <div class='row'>
                      <div class='col-md-5'>
                          <label for="incfor">Purpose:-</label>
                      </div>
                      <div class='col-md-7'>
                          
<select id="incfor" name="incfor" class="form-control">
                  <option value="">---Select---</option>
                  <option value="charity">charity</option>
                  <option>Crusade</option>
                  <option>District Development</option>
                  <option value="Electrical Purchase">Electrical Purchase</option>
                  <option value="Fuel purchase">Fuel purchase</option>
                  <option value="Payment to the region">Payment to the region</option>
                  <option value="Retreat">Retreat</option>
                  <option>Children Program</option>
                  <option>Women Program</option>
                  <option>Youth Program</option>
                  <option>Others</option>
                </select>

                      </div>
                  </div>
              </div><br>
              
              <div class="col-md-12">
                  <div class='row'>
                      <div class='col-md-5'>
                          <label for="mop">Mode Of Payment:-</label>
                      </div>
                      <div class='col-md-7'>
                          <select id="mop1" name="mop" class="form-control">
                  <option value="">---Select---</option>
                  <option>Bank Transfer</option>
                  <option>Bank Deposit</option>
                  <option>Cash</option>
                </select>
                      </div>
                  </div>
              </div><br>
              
              <div class="col-md-12">
                  <div class='row'>
                      <div class='col-md-5'>
                          <label for="depositor">Received From:- </label>
                      </div>
                      <div class='col-md-7'>
                          <input type="text" name="depositor" id="depositor" class="form-control">
                      </div>
                  </div>
              </div><br>
              
              <div class="col-md-12">
                  <div class='row'>
                      <div class='col-md-5'>
                          <label for="">Date:-</label>
                      </div>
                      <div class='col-md-7'>
                          <input type="date" name="date" id="date" class="form-control">
                      </div>
                  </div>
              </div><br>
              
            </div>
            <button type="submit" id="inbtnSub" class="btn btn-primary" style="float:right; margin-right: 3%">Enter Income </button>
          </form>
        </div>
        <div class="modal-footer">


        </div>
      </div>
    </div>
  </div>
  
   <!--===============eXPENSE MODAL STARTS HERE==================-->
  <div class="modal" id="expense_en" tabindex="-1" role="dialog">
    <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h6 style="text-align: center; color:darkgreen">EXPENCE ENTRY FORM</h6>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>

      <div class="modal-body">
        <form id="expense_collector">
          <input type="hidden" name="type" id="type2" value="expense">
          <div class="form-group">
            <div class="col-md-12">
              <div class="row">
                  <div class='col-md-5'>
                      <label for="examount">Amount :</label>
                  </div>

                   <div class='col-md-7'>
                       <input type="number" required  id="examount" name="examount" class="form-control">
                    </div>
              </div>
            </div><br>

            <div class="col-md-12">
              <div class="row">
                  <div class='col-md-5'>
                      <label for="exfor">Expense for :</label>
                  </div>

                   <div class='col-md-7'>
                       <input type="text" required id="exfor" name="exfor" class="form-control">
                    </div>
              </div>
            </div><br>

            <div class="col-md-12">
              <div class="row">
                  <div class='col-md-5'>
                      <label for="mop_sec">Mode Of Payment :</label>
                  </div>

                   <div class='col-md-7'>
                      <select id="mop_sec" name="mop_sec" class="form-control">
                    <option value="">---Select ---</option>
                    <option>Bank Transfer</option>
                    <option>Bank Deposit</option>
                    <option>Cash</option>
                    <option>Cheque</option>
                  </select>
                    </div>
              </div>
            </div><br>

            <div class="col-md-12">
              <div class="row">
                  <div class='col-md-5'>
                      <label for="funda">Receiver : </label>
                  </div>

                   <div class='col-md-7'>
                       <input type="text" required id="funda" name="funda" class="form-control">
                    </div>
              </div>
            </div><br>

            <div class="col-md-12">
              <div class="row">
                  <div class='col-md-5'>
                      <label for="">Date :</label>
                  </div>

                   <div class='col-md-7'>
                       <input type="date" name="exdate" id="exdate" class="form-control">
                    </div>
              </div>
            </div><br>

            <button type="submit" id="exbtnSub" class="btn btn-primary" style="float:right; margin-right: 3%">Enter Expense </button>
          </form>
        </div>
        <div class="modal-footer">


        </div>
      </div>
    </div>
  </div>
  
  <form id='stForm' method='POST'>
      <input type="hidden" name='dstrict' id='dstrict'>
  </form>


  <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js"></script>
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"></script>
  <script type="text/javascript" charset="utf8" src="https://cdn.datatables.net/1.11.3/js/jquery.dataTables.js"></script>
</body>

</html>
<script>

<?php if(!isset($_SESSION['dstrict'])){ ?>
//

const stform = document.getElementById('stForm');
//
stform['dstrict'].value = sessionStorage.getItem("district");

stform.submit();

<?php } ?>
    
  const isform = document.getElementById('income_collector');
  const exform = document.getElementById('expense_collector');
  //
  isform.addEventListener('submit', (e) => {
    e.preventDefault();
    //
    document.getElementById('inbtnSub').innerHTML = 'Loading...';
    //
    
    var amount = isform['amount'].value;
    var source = isform['source'].value;
    var incfor = isform['incfor'].value;
    var mop = isform['mop1'].value;
    var dpsitor = isform['depositor'].value;

    var date = isform['date'].value;

    //
    const data = {
      incomeEntry: true,
      by: dpsitor,
      amount: amount,
      mop: mop,
      source: source,
      incfor: incfor,
      country: sessionStorage.getItem("country"),
      state: sessionStorage.getItem("state"),
      region: sessionStorage.getItem("region"),
      ogroup: sessionStorage.getItem("ogroup"),
      district: sessionStorage.getItem("district"),
      date: date
    }

    //
    $.post('./module/loader.php', data, function(resp, status) {
      //
      console.log(resp);
      if (resp == 'success') {
        //
        isform.reset();
        //
        $('#income_en').modal('hide');
        $('.msg-success').html('Your entry has been submitted successfuly');
        $('.msg-success').addClass('alert alert-success');
        //
        setTimeout(() => {
          $('.msg-success').html('');
          $('.msg-success').removeClass('alert alert-success');
          location.reload();
        }, 6000);
      }
    })
  })

  ////////////////////////////////////////////
  exform.addEventListener('submit', (e) => {
    e.preventDefault();
    //
    document.getElementById('exbtnSub').innerHTML = 'Loading...';
    //
    var amount = exform['examount'].value;
    var exfor = exform['exfor'].value;
    var mop = exform['mop_sec'].value;
    var funda = exform['funda'].value;
    var date = exform['exdate'].value;

    //
    const data = {
      expenseEntry: true,
      amount: amount,
      mop: mop,
      to: funda,
      exfor: exfor,
      date: date,
      country: sessionStorage.getItem("country"),
      state: sessionStorage.getItem("state"),
      region: sessionStorage.getItem("region"),
      ogroup: sessionStorage.getItem("ogroup"),
      district: sessionStorage.getItem("district"),
    }

    //
    $.post('./module/loader.php', data, function(resp, status) {
      //
      console.log(resp);
      if (resp == 'success') {
        //
        exform.reset();
        //
        $('#expense_en').modal('hide');
        $('.msg-success').html('Your entry has been submitted successfuly');
        $('.msg-success').addClass('alert alert-success');
        //
        setTimeout(() => {
          $('.msg-success').html('');
          $('.msg-success').removeClass('alert alert-success');
          
          //
          location.reload();
        }, 6000);
      }
    })
  })

  //
  $(document).ready(function() {
    $('#incomeData_home').DataTable();
  });

  $(document).ready(function() {
    $('#incomeData').DataTable();
  });

  ////////////////////////////////////////
  const viewAccount = () => {
    //
    document.getElementById('flashview').style.display = 'none';
    document.getElementById('flashview_sec').style.display = 'block';
  }
</script>
<script>
  if (screen.width > 500) {
    $('#incomeData_home').removeClass('table-responsive');
  } else {
    $('#incomeData_home').addClass('table-responsive');
  }
</script>