<?php
  session_start();
?>
<!DOCTYPE html>
<html>
<head>
  <title></title>
  <link rel="stylesheet" href="rpt.css">
  <script type="text/javascript" src="../../bin/hed/logout.js"></script>
  <script type="text/javascript" src="../../bin/hed/valid.js"></script>
   <?php

        require_once "../../../sess/mods/connect.php";
        require_once "../../../sess/mods/mod1.php";
        require_once "../attpages/attdata.php";
        require_once "../../hed/sandls.php";

        $sdata = new atdata;
        $listings = new Listings;

        $country = $_SESSION["acountry"]; 
        $state = $_SESSION['astate'];
        $region = $_SESSION['aregion'];
        $ogroup = $_SESSION['aogroup'];
        $ugroup = $_SESSION['agroup'];   

        $box1 = $listings->getRegions($state, $country);

        $ndat = date("now");
        $monthn = date('m');
        $dateobj = DateTime::createFromFormat('!m', $monthn);
        $monthName =$dateobj->Format('F'); //Month name

        //load year automatically 5 years backward 
        $cyer = date("Y");
        $yer1 = $cyer - 1;
        $yer2 = $cyer - 2;
        $yer3 = $cyer - 3;
        $yer4 = $cyer - 4;
        $yer5 = $cyer - 5;

  ?>
  <script type="text/javascript" src="../../HED/valid.js"></script>

  <script type="text/javascript">
    ctry = sessionStorage.country;

    $(document).ready(function(){

        $("#lev").text(sessionStorage.lev);
      
     });


      function checkforms(){
        
        if ($("#region").val() == ""){
          alert("Select a region");
           return false;
        }

        if ($("#yer").val() == ""){
          alert("Select Year");
           return false;
        }

        if ($("#mths").val() == ""){
          alert("Select Month");
           return false;
        }


      }  

  </script>
  <style type="text/css">
    .tdlb{
    width: 3%;
    font-size: 11px;
    text-align: left;
  }
  .tddat{
    width: 0.5%;
    font-size: 11px;
  }
  table, th, td{
    border: solid;
    border-collapse: collapse;
  }
  tr {
    height: 3px;
  }
  td{
    text-align: right;
  }
  .tdate{
    width: 7%;
    font-size: 8px;
  }
  * {
    padding-top: 0px;
    padding-bottom: 0px;
  }

  .ind {
    margin-right: 10%;
    width: 10;

  }

  .mycontainer{
    margin-left: 3%;
    margin-right: 2%;
  }

   .tdb{
    border-bottom: dashed;
   }
    .hfix{
        position: fixed;
      }
      .grprow{
       
        background-color: darkblue;
      }

   @media only screen and (min-width: 600px) {
     .hfix{
        //position: static;
      }
   }
  </style>
  </style>

<body>
  <div class="mycontainer">

    <br>


  <form id="frmRpt" name= "frmRpt" onsubmit="return checkforms()" method="POST" action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"]);?>">
    <input type="hidden" id="lev" name="lev">
    <?php
      require_once "../maps/selregion.php";
      require_once "yermth.php";
    ?>

</form>

 <div id="divData">

  <?php 
 
    if (isset($_POST['submit'])){
        $monthName = $_POST['mths'];
        $reg = $_POST['region'];
        $yer = $_POST['yer'];
         $fdata = $sdata->getMthSum($country, $state, $reg, "N/A", "N/A","N/A", "R", $monthName, $yer);
    }

  ?>
  <br>
  
    <h5 id="Smthhed"></h5>
    <div class="tbdiv">
   <table class="table table-bordered" class="table table-condensed" class="table table-responsive">
    
    <th >Old Groups</th> <th>FType</th> <th>AB</th> <th>AS</th> <th>AT</th> <th>YB</th> <th>YS</th> <th>YT</th> <th>AYT</th> <th>CB</th> <th>CS</th> <th>CT</th> <th>GT</th>

    
    <script type="text/javascript">
    var mth = "<?php echo $monthName ?>";
    var yer = "<?php echo $cyer?>";
    var reg = $("#region").val();
   $("#Smthhed").text(reg + mth + " " + yer + "  detail Report");
 
  </script>
    <?php  
        if ( empty($fdata)){
          //
          echo 'No data enrty is found for this month';
          //
          return; 
        }
    ?>
    <?php foreach ($fdata as $items){; ?>

    <tr>
      
        <td  class="tdlb"><?php echo $items['ogroup'] ?></td>
      
      <td class="tdlb"><?php echo $items['ftype'] ?></td>
     
      <td class="tddat"><?php echo intVal($items['Amam'] )?></td>
      <td class="tddat"><?php echo intVal($items['Amaf'] )?></td>
      <td class="tddat"><?php echo intVal($items['Amat'] )?></td>
      <td class="tddat"><?php echo intVal($items['Amym'] )?></td>
      <td class="tddat"><?php echo intVal($items['Amyf'] )?></td>
      <td class="tddat"><?php echo intVal($items['Amyt'] )?></td>
      <td class="tddat"><?php echo intVal($items['Amayt']) ?></td>
      <td class="tddat"><?php echo intVal($items['Amcm'] )?></td>
      <td class="tddat"><?php echo intVal($items['Amcf'] )?></td>
      <td class="tddat"><?php echo intVal($items['Amct']) ?></td>
      <td class="tddat"><?php echo intVal($items['Amgt'] )?></td>
      
      
    </tr> <?php ; } ?>
  </table>
</div>
</div>
</div>

</body>
</html>